onEvent('recipes', e => {

  e.remove({ output: 'appliedenergistics2:inscriber' })
  e.remove({ output: 'appliedenergistics2:controller' })
  e.remove({ output: 'appliedenergistics2:drive' })
  e.remove({ output: 'appliedenergistics2:energy_acceptor' })
  e.remove({ output: 'appliedenergistics2:chest' })
  e.remove({ output: 'appliedenergistics2:quartz_fiber' })
  e.remove({ output: 'appliedenergistics2:fluix_glass_cable' })
  e.remove({ output: 'appliedenergistics2:fluix_smart_dense_cable' })
  e.remove({ output: 'appliedenergistics2:fluix_covered_dense_cable' })
  e.remove({ output: 'appliedenergistics2:fluix_smart_cable' })
  e.remove({ output: 'appliedenergistics2:fluix_covered_cable' })
  e.remove({ output: 'appliedenergistics2:quartz_glass' })
  e.remove({ output: 'appliedenergistics2:quartz_growth_accelerator' })
  e.remove({ output: 'appliedenergistics2:printed_calculation_processor' })
  e.remove({ output: 'appliedenergistics2:printed_logic_processor' })
  e.remove({ output: 'appliedenergistics2:printed_engineering_processor' })
  e.remove({ output: 'appliedenergistics2:printed_silicon' })
  e.remove({ output: 'appliedenergistics2:energy_cell' })
  e.remove({ output: 'appliedenergistics2:dense_energy_cell' })
  e.remove({ output: 'appliedenergistics2:charger' })
  e.remove({ output: '#appliedenergistics2:illuminated_panel' })
  e.remove({ output: 'appliedenergistics2:terminal' })
  e.remove({ output: 'appliedenergistics2:fluid_terminal' })
  e.remove({ output: 'appliedenergistics2:interface_terminal' })
  e.remove({ output: 'appliedenergistics2:conversion_monitor' })
  e.remove({ output: 'appliedenergistics2:storage_monitor' })
  e.remove({ output: 'appliedenergistics2:crafting_terminal' })
  e.remove({ output: 'appliedenergistics2:pattern_terminal' })
  e.remove({ output: 'appliedenergistics2:annihilation_core' })
  e.remove({ output: 'appliedenergistics2:formation_core' })
  e.remove({ output: 'appliedenergistics2:basic_card' })
  e.remove({ output: 'appliedenergistics2:1k_cell_component' })
  e.remove({ output: 'appliedenergistics2:4k_cell_component' })
  e.remove({ output: 'appliedenergistics2:16k_cell_component' })
  e.remove({ output: 'appliedenergistics2:64k_cell_component' })
  e.remove({ output: 'appliedenergistics2:1k_storage_cell' })
  e.remove({ output: 'appliedenergistics2:4k_storage_cell' })
  e.remove({ output: 'appliedenergistics2:16k_storage_cell' })
  e.remove({ output: 'appliedenergistics2:64k_storage_cell' })
  e.remove({ output: 'appliedenergistics2:1k_fluid_storage_cell' })
  e.remove({ output: 'appliedenergistics2:4k_fluid_storage_cell' })
  e.remove({ output: 'appliedenergistics2:16k_fluid_storage_cell' })
  e.remove({ output: 'appliedenergistics2:64k_fluid_storage_cell' })
  e.remove({ output: 'appliedenergistics2:1k_fluid_cell_component' })
  e.remove({ output: 'appliedenergistics2:4k_fluid_cell_component' })
  e.remove({ output: 'appliedenergistics2:16k_fluid_cell_component' })
  e.remove({ output: 'appliedenergistics2:64k_fluid_cell_component' })
  e.remove({ output: 'ae2extras:256k_cell_component' })
  e.remove({ output: 'ae2extras:1m_cell_component' })
  e.remove({ output: 'ae2extras:4m_cell_component' })
  e.remove({ output: 'ae2extras:16m_cell_component' })
  e.remove({ output: 'ae2extras:256k_fluid_cell_component' })
  e.remove({ output: 'ae2extras:1m_fluid_cell_component' })
  e.remove({ output: 'ae2extras:4m_fluid_cell_component' })
  e.remove({ output: 'ae2extras:16m_fluid_cell_component' })
  e.remove({ output: 'ae2extras:256k_fluid_storage_cell' })
  e.remove({ output: 'ae2extras:1m_fluid_storage_cell' })
  e.remove({ output: 'ae2extras:4m_fluid_storage_cell' })
  e.remove({ output: 'ae2extras:16m_fluid_storage_cell' })
  e.remove({ output: 'ae2extras:256k_storage_cell' })
  e.remove({ output: 'ae2extras:1m_storage_cell' })
  e.remove({ output: 'ae2extras:4m_storage_cell' })
  e.remove({ output: 'ae2extras:16m_storage_cell' })
  e.remove({ output: 'appliedenergistics2:interface' })
  e.remove({ output: 'appliedenergistics2:fluid_interface' })
  e.remove({ output: 'appliedenergistics2:molecular_assembler' })
  e.remove({ output: 'appliedenergistics2:crafting_unit' })
  e.remove({ output: 'appliedenergistics2:crafting_accelerator' })
  e.remove({ output: 'appliedenergistics2:1k_crafting_storage' })
  e.remove({ output: 'appliedenergistics2:4k_crafting_storage' })
  e.remove({ output: 'appliedenergistics2:16k_crafting_storage' })
  e.remove({ output: 'appliedenergistics2:64k_crafting_storage' })
  e.remove({ output: 'ae2extras:256k_crafting_storage' })
  e.remove({ output: 'ae2extras:1m_crafting_storage' })
  e.remove({ output: 'ae2extras:4m_crafting_storage' })
  e.remove({ output: 'ae2extras:16m_crafting_storage' })
  e.remove({ output: 'appliedenergistics2:security_station' })
  e.remove({ output: 'appliedenergistics2:wireless_access_point' })
  e.remove({ output: 'ae2wtlib:wireless_crafting_terminal' })
  e.remove({ output: 'ae2wtlib:wireless_pattern_terminal' })
  e.remove({ output: 'ae2wtlib:wireless_interface_terminal' })
  e.remove({ output: 'ae2wtlib:wireless_universal_terminal' })
  e.remove({ output: 'appliedenergistics2:wireless_terminal' })
  e.remove({ output: 'appliedenergistics2:empty_storage_cell' })
  e.remove({ output: 'appliedenergistics2:me_p2p_tunnel' })
  e.remove({ output: 'appliedenergistics2:spatial_pylon' })
  e.remove({ output: 'appliedenergistics2:spatial_io_port' })
  e.remove({ output: 'appliedenergistics2:2_cubed_spatial_cell_component' })
  e.remove({ output: 'appliedenergistics2:16_cubed_spatial_cell_component' })
  e.remove({ output: 'appliedenergistics2:128_cubed_spatial_cell_component' })
  e.remove({ output: 'appliedenergistics2:2_cubed_spatial_storage_cell' })
  e.remove({ output: 'appliedenergistics2:16_cubed_spatial_storage_cell' })
  e.remove({ output: 'appliedenergistics2:128_cubed_spatial_storage_cell' })
  e.remove({ output: 'appliedenergistics2:spatial_anchor' })
  e.remove({ output: 'appliedenergistics2:calculation_processor_press' })
  e.remove({ output: 'appliedenergistics2:engineering_processor_press' })
  e.remove({ output: 'appliedenergistics2:silicon_press' })
  e.remove({ output: 'appliedenergistics2:logic_processor_press' })
  e.remove({ output: 'appliedenergistics2:name_press' })
  e.remove({ output: 'appliedenergistics2:advanced_card' })
  

  e.shaped('appliedenergistics2:inscriber', [
    '212',
    '234',
    '212'
  ], {
    1: 'kubejs:advancedframe', 2: 'mekanism:block_steel', 3: 'immersiveengineering:mold_packing_9', 4: 'appliedenergistics2:fluix_block'
  })

  e.shaped('2x appliedenergistics2:quartz_growth_accelerator', [
    '343',
    '212',
    '323'
  ], {
    1: 'kubejs:advancedframe', 2: 'mekanism:block_steel', 3: 'appliedenergistics2:fluix_block', 4: 'immersiveengineering:electron_tube'
  })

  e.shaped('appliedenergistics2:controller', [
    '321',
    '454',
    '123'
  ], {
    1: 'appliedenergistics2:engineering_processor', 2: 'appliedenergistics2:logic_processor', 3: 'appliedenergistics2:calculation_processor', 4: 'kubejs:advancedframe', 5: '#appliedenergistics2:smart_dense_cable'
  })

  e.shaped('appliedenergistics2:energy_cell', [
    '321',
    '454',
    '123'
  ], {
    1: 'appliedenergistics2:fluix_pearl', 2: 'immersiveengineering:capacitor_hv', 3: 'appliedenergistics2:charged_certus_quartz_crystal', 4: 'appliedenergistics2:quartz_vibrant_glass', 5: 'appliedenergistics2:logic_processor'
  })

  e.shaped('appliedenergistics2:dense_energy_cell', [
    '111',
    '121',
    '111'
  ], {
    1: 'appliedenergistics2:energy_cell', 2: 'kubejs:advancedframe'
  })

  e.shaped('appliedenergistics2:drive', [
    '121',
    '343',
    '121'
  ], {
    1: 'mekanism:block_steel', 2: 'kubejs:advancedframe', 3: 'appliedenergistics2:empty_storage_cell', 4: 'appliedenergistics2:chest'
  })

  e.shaped('appliedenergistics2:charger', [
    '111',
    '13 ',
    '121'
  ], {
    1: 'mekanism:block_steel', 2: 'kubejs:advancedframe', 3: 'appliedenergistics2:fluix_block'
  })

  e.shaped('appliedenergistics2:chest', [
    '424',
    '414',
    '434'
  ], {
    1: 'appliedenergistics2:controller', 2: 'appliedenergistics2:terminal', 3: 'appliedenergistics2:empty_storage_cell', 4: 'mekanism:block_steel'
  })

  e.shaped('appliedenergistics2:monitor', [
    ' 43',
    '123',
    ' 43'
  ], {
    1: 'appliedenergistics2:controller', 2: '#appliedenergistics2:smart_dense_cable', 3: 'appliedenergistics2:quartz_glass', 4: 'minecraft:glowstone_dust'
  })

  e.shaped('appliedenergistics2:dark_monitor', [
    ' 43',
    '123',
    ' 43'
  ], {
    1: 'appliedenergistics2:controller', 2: '#appliedenergistics2:smart_dense_cable', 3: 'appliedenergistics2:quartz_glass', 4: 'minecraft:gunpowder'
  })

  e.shaped('appliedenergistics2:semi_dark_monitor', [
    ' 43',
    '123',
    ' 43'
  ], {
    1: 'appliedenergistics2:controller', 2: '#appliedenergistics2:smart_dense_cable', 3: 'appliedenergistics2:quartz_glass', 4: 'minecraft:redstone'
  })

  e.shaped('appliedenergistics2:terminal', [
    '616',
    '656',
    '324'
  ], {
    1: '#appliedenergistics2:illuminated_panel', 2: 'kubejs:sc', 3: 'appliedenergistics2:formation_core', 4: 'appliedenergistics2:annihilation_core', 5: 'ironchest:crystal_chest', 6: 'mekanism:block_steel'
  })

  e.shaped('appliedenergistics2:fluid_terminal', [
    '616',
    '656',
    '324'
  ], {
    1: '#appliedenergistics2:illuminated_panel', 2: 'kubejs:sc', 3: 'appliedenergistics2:formation_core', 4: 'appliedenergistics2:annihilation_core', 5: 'pneumaticcraft:huge_tank', 6: 'mekanism:block_steel'
  })

  e.shaped('kubejs:bc', [
    '541',
    '535',
    '525'
  ], {
    1: 'appliedenergistics2:fluix_crystal', 2: 'appliedenergistics2:annihilation_core', 3: 'appliedenergistics2:formation_core', 4: 'appliedenergistics2:engineering_processor', 5: 'immersiveengineering:plate_steel'
  })

  e.shaped('appliedenergistics2:empty_storage_cell', [
    '222',
    '212',
    '222'
  ], {
    1: 'kubejs:bc', 2: '#forge:ingots/steel'
  })

  e.shaped('appliedenergistics2:interface', [
    '232',
    '313',
    '232'
  ], {
    1: 'kubejs:sc', 2: 'mekanism:block_steel', 3: 'appliedenergistics2:quartz_block'
  })

  e.shaped('appliedenergistics2:fluid_interface', [
    '232',
    '313',
    '232'
  ], {
    1: 'kubejs:sc', 2: 'mekanism:block_steel', 3: 'appliedenergistics2:fluix_block'
  })

  e.shaped('appliedenergistics2:molecular_assembler', [
    '232',
    '313',
    '232'
  ], {
    1: 'kubejs:eliteframe', 2: 'mekanism:block_steel', 3: '#forge:glass_panes'
  })

  e.shaped('kubejs:rsc', [
    '323',
    '212',
    '323'
  ], {
    1: 'appliedenergistics2:empty_storage_cell', 2: 'extendedcrafting:ultimate_component', 3: 'mekanism:alloy_reinforced'
  })

  e.shaped('appliedenergistics2:energy_acceptor', [
    '212',
    '434',
    '212'
  ], {
    1: 'immersiveengineering:heavy_engineering', 2: 'kubejs:advancedframe', 3: 'pipez:energy_pipe', 4: 'appliedenergistics2:quartz_fiber'
  })


})